Subject: Re: bug#67325: shorthands: Incorrect autoloaded register-definition-prefixes

From: João Távora <[email-masked]>
Date: Sun, 26 Nov 2023 21:39:04 +0000

On Sun, Nov 26, 2023 at 6:44 PM Stefan Monnier <[email-masked]> wrote:
>
> > I agree that we should not prompt when the safety predicate is
> > satisfied, but I don't have any idea how to do that.  Maybe Stefan
> > does?  E.g., can the (put 'autoload-compute-prefixes 'safe-local-variable
> > form be put in 'autoload'?
>
> Yes, a standard autoload cookie should do the trick.

Thanks for confirming.  I tested and indeed it does, so I pushed
this change.

So now breadcrumb.el can just specify this local variable to nil,
at least until those autoload heuristics aren't taught about
the shorthand exceptions.

If in fact they should... What do you think?

João